<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [WarehouseAPI](./bitburner.warehouseapi.md) &gt; [setSmartSupply](./bitburner.warehouseapi.setsmartsupply.md)

## WarehouseAPI.setSmartSupply() method

Set smart supply.

**Signature:**

```typescript
setSmartSupply(divisionName: string, city: CityName, enabled: boolean): void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  divisionName | string | Name of the division |
|  city | [CityName](./bitburner.cityname.md) | Name of the city |
|  enabled | boolean | Use true to enable, false otherwise. |

**Returns:**

void

## Remarks

RAM cost: 20 GB

